<?php
require_once("../connect/dbConnect.php");
?>
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" type="text/css" href="../style.css">
    <title>Enrollment Records</title>
</head>
<body>
    <h1>Enrollment Records</h1>
    <?php
    $timestamp = date("Y-m-d H:i:s");
    echo "<p>Records last retrieved: $timestamp</p>";

    $sql = "SELECT course.name AS course_name, CONCAT(student.fName, ' ', student.lName) AS student_name
            FROM enrolled
            INNER JOIN course ON enrolled.course = course.crn
            INNER JOIN student ON enrolled.student = student.studentId";
    $result = $conn->query($sql);

    if ($result->num_rows > 0) {
        echo "<table border='1'><tr><th>Course</th><th>Student</th></tr>";
        
        while($row = $result->fetch_assoc()) {
            echo "<tr><td>".$row["course_name"]."</td><td>".$row["student_name"]."</td></tr>";
        }
        echo "</table>";
    } else {
        echo "0 results";
    }
    $conn->close();
    ?>
    <br>
    
    <button><a href="../index.php">Home</a></button>
</body>
</html>

